#pragma once

#include <cstdint>
#include <vector>


class Cartridge
{
public:
	void Load(char const* filename);

private:
	friend class NES;

	std::vector<uint8_t> prgROM;
	std::vector<uint8_t> chrROM;
};

