#include <iostream>
#include "NES.hpp"


int main(int argc, char** argv)
{
	if (argc != 2)
	{
		std::cerr << "Usage: " << argv[0] << " <ROM>\n";
		std::exit(EXIT_FAILURE);
	}

	char const* filename = argv[1];

	NES nes;
	nes.InsertCartridge(filename);
	nes.Run();
}
